#
# spec file for package python-vine
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-vine
Version:        5.1.0
Release:        1.4
Summary:        Python Promises
License:        BSD-3-Clause
URL:            https://github.com/celery/vine/
Source:         https://files.pythonhosted.org/packages/source/v/vine/vine-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module case}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Promises implementation for python.

%prep
%setup -q -n vine-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc Changelog README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Nov 27 2023 Dirk Müller <dmueller@suse.com>
- update to 5.1.0:
  * Dropped Python 3.6 support.
  * Added new Python versions support.
  * Dropped old dependencies.
  * Added new GHA based CI.
  * Added slots support and impproved dynamic assignment.
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Oct 13 2022 Dirk Müller <dmueller@suse.com>
- use https for urls
* Mon Nov  9 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 5.0.0:
  * Dropped Python 2.x, 3.4 and 3.5 support.
  * Removed the :mod:`vine.five` module.
  * Removed the :mod:`vine.backports.weakref_backports` module.
* Mon Mar 25 2019 pgajdos@suse.com
- version update to 1.3.0
  * Added the option to ignore the result of a function and simply
    call the callback without arguments.
  * Added Python 3.7 support.
  * Handle bound methods in weak reference promise instances.
  * Documentation fixes, CI adjustments and cleanups.
- run tests
* Mon Aug 21 2017 tbechtold@suse.com
- update to 1.1.4:
  - Added official support for Python 3.5 & 3.6.
  - Improve Python 2/3 compatibility.
  - Don't set mutable default values to keyword arguments.
* Wed Mar 15 2017 tbechtold@suse.com
- update to 1.1.3:
  - New ``promise(fun, weak=True)`` argument, creates weakref to callback.
  - barrier: now handles the case where len(promises) returns NotImplemented.
  - Requirements: Tests now depends on :pypi:`case` 1.2.2
  - Five: python_2_unicode_compatible now ensures `__repr__` returns
    bytes on Python 2.
- Switch to singlespec approach.
* Fri Jun  3 2016 tbechtold@suse.com
- Initial packaging (version 1.1.0)
